package com.prolog.cs.biz.inbound.dto.failure;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 异常单查询返回对象
 * 
 * @author Xiong
 *
 */
@ApiModel
public class ExceptionHQueryDTO implements Serializable {
	private static final long serialVersionUID = 4780122431365204304L;

	@ApiModelProperty(value = "错误单头ID(主键雪花id)(隐藏字段)", position = 1)
	private String exceptionHeaderId;

	@ApiModelProperty(value = "收货单头ID(隐藏字段)", position = 1)
	private String rcvHeaderId;

	@ApiModelProperty(value = "货主ID(隐藏字段)", position = 1)
	private String mtlOwnerId;

	@ApiModelProperty(value = "仓库ID(隐藏字段)", position = 1)
	private String warehouseId;

	@ApiModelProperty(value = "来源单头ID(PO/XT/YC)(隐藏字段)", position = 1)
	private String srcHeaderId;

	@ApiModelProperty(value = "ASN行ID(隐藏字段)", position = 1)
	private String asnHeaderId;

	@ApiModelProperty(value = "异常单据流水号码")
	private String autoBillNum;

	@ApiModelProperty(value = "行号")
	private BigDecimal lineNum;

	@ApiModelProperty(value = "操作人")
	private String executorUser;

	@ApiModelProperty(value = "操作时间")
	private Date executorDate;

	@ApiModelProperty(value = "错误发现节点（收货10/验收20/质检30/上架40）")
	private String nodeType;

	@ApiModelProperty(value = "手工单号")
	private String customBillNum;

	@ApiModelProperty(value = "来源单类型")
	private String srcBillType;

	// -----------补充字段----------------------------

	@ApiModelProperty(value = "收货单自动单号", position = 99)
	private String rcvHAutoBillNum;
	@ApiModelProperty(value = "收货时间(查询字段)", position = 100)
	private Date rcvDate;
	@ApiModelProperty(value = "收货类型(查询字段)", position = 101)
	private String rcvType;
	@ApiModelProperty(value = "运输方式(查询字段)", position = 102)
	private String shipType;
	@ApiModelProperty(value = "到货方式(查询字段)", position = 103)
	private String arrivalMode;
	@ApiModelProperty(value = "供应商名(查询字段)", position = 104)
	private String vendorName;
	@ApiModelProperty(value = "仓库名(查询字段)", position = 105)
	private String warehouseName;
	@ApiModelProperty(value = "采购人(查询字段)", position = 106)
	private String buyerMane;
	@ApiModelProperty(value = "客户名(查询字段)", position = 107)
	private String customerName;
	@ApiModelProperty(value = "货主名(查询字段)", position = 108)
	private String mtlOwnerName;
	@ApiModelProperty(value = "组织名(查询字段)", position = 109)
	private String orgnName;

	public String getExceptionHeaderId() {
		return exceptionHeaderId;
	}

	public void setExceptionHeaderId(String exceptionHeaderId) {
		this.exceptionHeaderId = exceptionHeaderId;
	}

	public String getRcvHeaderId() {
		return rcvHeaderId;
	}

	public void setRcvHeaderId(String rcvHeaderId) {
		this.rcvHeaderId = rcvHeaderId;
	}

	public String getMtlOwnerId() {
		return mtlOwnerId;
	}

	public void setMtlOwnerId(String mtlOwnerId) {
		this.mtlOwnerId = mtlOwnerId;
	}

	public String getWarehouseId() {
		return warehouseId;
	}

	public void setWarehouseId(String warehouseId) {
		this.warehouseId = warehouseId;
	}

	public String getSrcHeaderId() {
		return srcHeaderId;
	}

	public void setSrcHeaderId(String srcHeaderId) {
		this.srcHeaderId = srcHeaderId;
	}

	public String getAsnHeaderId() {
		return asnHeaderId;
	}

	public void setAsnHeaderId(String asnHeaderId) {
		this.asnHeaderId = asnHeaderId;
	}

	public String getAutoBillNum() {
		return autoBillNum;
	}

	public void setAutoBillNum(String autoBillNum) {
		this.autoBillNum = autoBillNum;
	}

	public BigDecimal getLineNum() {
		return lineNum;
	}

	public void setLineNum(BigDecimal lineNum) {
		this.lineNum = lineNum;
	}

	public String getExecutorUser() {
		return executorUser;
	}

	public void setExecutorUser(String executorUser) {
		this.executorUser = executorUser;
	}

	public Date getExecutorDate() {
		return executorDate;
	}

	public void setExecutorDate(Date executorDate) {
		this.executorDate = executorDate;
	}

	public String getNodeType() {
		return nodeType;
	}

	public void setNodeType(String nodeType) {
		this.nodeType = nodeType;
	}

	public String getCustomBillNum() {
		return customBillNum;
	}

	public void setCustomBillNum(String customBillNum) {
		this.customBillNum = customBillNum;
	}

	public String getSrcBillType() {
		return srcBillType;
	}

	public void setSrcBillType(String srcBillType) {
		this.srcBillType = srcBillType;
	}

	public String getRcvHAutoBillNum() {
		return rcvHAutoBillNum;
	}

	public void setRcvHAutoBillNum(String rcvHAutoBillNum) {
		this.rcvHAutoBillNum = rcvHAutoBillNum;
	}

	public Date getRcvDate() {
		return rcvDate;
	}

	public void setRcvDate(Date rcvDate) {
		this.rcvDate = rcvDate;
	}

	public String getRcvType() {
		return rcvType;
	}

	public void setRcvType(String rcvType) {
		this.rcvType = rcvType;
	}

	public String getShipType() {
		return shipType;
	}

	public void setShipType(String shipType) {
		this.shipType = shipType;
	}

	public String getArrivalMode() {
		return arrivalMode;
	}

	public void setArrivalMode(String arrivalMode) {
		this.arrivalMode = arrivalMode;
	}

	public String getVendorName() {
		return vendorName;
	}

	public void setVendorName(String vendorName) {
		this.vendorName = vendorName;
	}

	public String getWarehouseName() {
		return warehouseName;
	}

	public void setWarehouseName(String warehouseName) {
		this.warehouseName = warehouseName;
	}

	public String getBuyerMane() {
		return buyerMane;
	}

	public void setBuyerMane(String buyerMane) {
		this.buyerMane = buyerMane;
	}

	public String getCustomerName() {
		return customerName;
	}

	public void setCustomerName(String customerName) {
		this.customerName = customerName;
	}

	public String getMtlOwnerName() {
		return mtlOwnerName;
	}

	public void setMtlOwnerName(String mtlOwnerName) {
		this.mtlOwnerName = mtlOwnerName;
	}

	public String getOrgnName() {
		return orgnName;
	}

	public void setOrgnName(String orgnName) {
		this.orgnName = orgnName;
	}

}
